summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-03-12 12:04:02 +0000
committerJim Meyering <jim@meyering.net>2004-03-12 12:04:02 +0000
commitfc3ce570249470989810f1984eef0cb8ac71d70d (patch)
tree6b3a0bf1c51a4456baa5e41426187edf6d9ac47c /tests
parent97ce436ba55e7b3012b3615793d29aefa131a3fd (diff)
downloadcoreutils-fc3ce570249470989810f1984eef0cb8ac71d70d.tar.xz
# Before coreutils-5.2.1, this test would fail.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mv/part-hardlink50
1 files changed, 50 insertions, 0 deletions
diff --git a/tests/mv/part-hardlink b/tests/mv/part-hardlink
new file mode 100755
index 000000000..133fd9354
--- /dev/null
+++ b/tests/mv/part-hardlink
@@ -0,0 +1,50 @@
+#!/bin/sh
+# Ensure that hard links are preserved when moving between partitions
+# and when the links are in separate command line arguments.
+# For additional constraints, see the comment in copy.c.
+# Before coreutils-5.2.1, this test would fail.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/setup
+. $srcdir/../envvar-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+if test -z "$other_partition_tmpdir"; then
+ (exit 77); exit
+fi
+t0="$t0 $other_partition_tmpdir"
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch f || framework_failure=1
+ln f g || framework_failure=1
+mkdir a b || framework_failure=1
+touch a/1 || framework_failure=1
+ln a/1 b/1 || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+
+mv f g $other_partition_tmpdir || fail=1
+mv a b $other_partition_tmpdir || fail=1
+
+cd $other_partition_tmpdir
+set - `ls -Ci f g`
+test $1 = $3 || fail=1
+set - `ls -Ci a/1 b/1`
+test $1 = $3 || fail=1
+
+(exit $fail); exit